# Created by pyp2rpm-3.3.1
%global pypi_name fontparts
%global srcname fontParts

Name:           python-%{pypi_name}
Version:        0.12.3
Release:        %mkrel 3
Summary:        An API for interacting with the parts of fonts during the font development process
Group:          Development/Python
License:        OpenSource, MIT
URL:            https://github.com/robofab-developers/fontParts
Source0:        %{pypi_source %pypi_name %version zip}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(tox)
BuildRequires:  python3dist(tox-current-env)
#for tests
BuildRequires:  python3dist(booleanoperations)
BuildRequires:  python3dist(fontpens)
BuildRequires:  python3dist(fs)
BuildRequires:  python3dist(unicodedata2)
BuildRequires:  python3dist(singledispatch)
BuildRequires:  python3dist(lxml)
BuildRequires:  python3dist(future)
BuildRequires:  python3dist(pytz)
BuildRequires:  python3dist(appdirs)

%description
An API for interacting with the parts of fonts during the font development
process. FontParts is the replacement for RoboFab.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

# workaround extras dependencies
Requires:       python3-defcon+pens >= 0.6
Requires:       python3-fonttools+lxml >= 4.10

%description -n python3-%{pypi_name}
An API for interacting with the parts of fonts during the font development
process. FontParts is the replacement for RoboFab.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files fontParts

%check
%tox

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.12.3-3.mga10
+ Revision: 2242239
- Mageia 10 Mass Rebuild

* Mon Mar 03 2025 daviddavid <daviddavid> 0.12.3-2.mga10
+ Revision: 2159610
- rebuild for python 3.13

* Mon Jan 27 2025 papoteur <papoteur> 0.12.3-1.mga10
+ Revision: 2142734
- new version 0.12.3

* Mon Jan 15 2024 daviddavid <daviddavid> 0.12.1-1.mga10
+ Revision: 2031328
- new version: 0.12.1
- switch to pyproject

* Wed Apr 06 2022 umeabot <umeabot> 0.9.10-4.mga9
+ Revision: 1846198
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 tv <tv> 0.9.10-3.mga9
+ Revision: 1782091
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Tue Apr 20 2021 daviddavid <daviddavid> 0.9.10-2.mga9
+ Revision: 1717689
- add extras requires workaround

* Tue Apr 20 2021 wally <wally> 0.9.10-1.mga9
+ Revision: 1717684
- new version 0.9.10

* Tue Apr 20 2021 daviddavid <daviddavid> 0.9.2-3.mga9
+ Revision: 1717623
- rebuild for python 3.9

* Tue Feb 18 2020 umeabot <umeabot> 0.9.2-2.mga8
+ Revision: 1541957
- Mageia 8 Mass Rebuild

* Fri Jan 03 2020 wally <wally> 0.9.2-1.mga8
+ Revision: 1475723
- new version 0.9.2

* Fri Oct 11 2019 tv <tv> 0.8.7-2.mga8
+ Revision: 1451726
- rebuild with python 3.8

* Mon Aug 19 2019 wally <wally> 0.8.7-1.mga8
+ Revision: 1430050
- new version 0.8.7
- drop python2 support

* Sat Jan 12 2019 tmb <tmb> 0.8.2-2.mga7
+ Revision: 1355232
- rebuild for python 3.7

* Sat Dec 01 2018 wally <wally> 0.8.2-1.mga7
+ Revision: 1337161
- new version 0.8.2

* Thu Sep 20 2018 umeabot <umeabot> 0.5.1-2.mga7
+ Revision: 1288909
- Mageia 7 Mass Rebuild

* Sat May 05 2018 wally <wally> 0.5.1-1.mga7
+ Revision: 1226591
- imported package python-fontparts

